// Constants and defines for the definition of ths list of MS
///////////////////////////////////////////////////////////////
#ifndef _EDIT_MECA_DEF_HPP_
#define _EDIT_MECA_DEF_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SCR.h"

//Include here the header where are defined the motor structures

//#undef extern

//Eventually add here the other motor useful headers
//#include "enum.h"
//...

//Declare here the filling functions for the MS you have created
class CPA_Meca_Card;
void fn_vFillCard1(CPA_Meca_Card *pclCard);
void fn_vFillCard2(CPA_Meca_Card *pclCard);
void fn_vFillCard3(CPA_Meca_Card *pclCard);
void fn_vFillCard4(CPA_Meca_Card *pclCard);
void fn_vFillCard5(CPA_Meca_Card *pclCard);
void fn_vFillCard6(CPA_Meca_Card *pclCard);
void fn_vFillCard7(CPA_Meca_Card *pclCard);
void fn_vFillCard8(CPA_Meca_Card *pclCard);
void fn_vFillCard9(CPA_Meca_Card *pclCard);
void fn_vFillCard10(CPA_Meca_Card *pclCard);
void fn_vFillCard11(CPA_Meca_Card *pclCard);
void fn_vFillCard12(CPA_Meca_Card *pclCard);
void fn_vFillCard13(CPA_Meca_Card *pclCard);
void fn_vFillCard14(CPA_Meca_Card *pclCard);
void fn_vFillCardRay2Egypte1(CPA_Meca_Card *pclCard);

void fn_vSaveCard1(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard2(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard3(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard4(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard5(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard6(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard7(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard8(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard9(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard10(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard11(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard12(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard13(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCard14(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);
void fn_vSaveCardRay2Egypte1(SCR_tdst_File_Description *p_tdstFile, CPA_Meca_Card *pclCard);

//*********************************************************************
//Other defines to simplify MS and pointers definitions
#define EDMEC_READ_ONLY		TRUE
#define EDMEC_READ_WRITE		FALSE

//Controls Spacing
#define EDMEC_AUTO_SPACE		EDCAR_SPACING_AUTO
#define EDMEC_SINGLE_LINE		EDCAR_SPACING_SINGLE_LINE
#define EDMEC_FIXED_SIZE		EDCAR_SPACING_FIXED_SIZE

//Constants for integers declarations
#define EDMEC_SIGNED_INT		TRUE
#define EDMEC_UNSIGNED_INT	FALSE

#define EDMEC_CHAR_INT	1
#define EDMEC_SHORT_INT	2
#define EDMEC_LONG_INT	4

//Constants for decimal declarations
#define EDMEC_FLOAT		4
#define EDMEC_DOUBLE		8
#define EDMEC_LONG_DOUBLE	10

//Constants for data level declarations
#define LEVEL_1		EDCAR_DATA_LEVEL_1	
#define LEVEL_2		EDCAR_DATA_LEVEL_2
#define LEVEL_3		EDCAR_DATA_LEVEL_3

#endif //_EDIT_MECA_DEF_HPP_
